Search
K
Policy Transactions

Add new Bank Account based on request

post

Path Parameters

planCodestringrequired
policyNumberstringrequired
partyIdstringrequired

Body

application/json

BankAccountChangeRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

bankAccountobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

deleteRequestboolean

Flag for delete or update request. If flag==true then Delete Request else Update Request

Default:false

Response

application/json

Request accepted successfully and is being processed.

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

post/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/bankaccount

Body

{ "effectiveDate": "effectiveDate", "bankAccount": { "startDate": "startDate", "nameOnAccount": "abcdqwe", "accountStatus": "ACTIVEBANKACCOUNT", "accountType": "CHECKING", "accountNumber": "34567777745678", "routingNumber": "Routing_Number", "branchName": "branch_66" } }
 
application/json

Bank Account Change Request

put

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

partyIdstringrequired

PartyId for which Bank Account need to be updated it be avaible under SOR Policy Details

bankIdstringrequired

Body

application/json

BankAccountChangeRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

bankAccountobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

deleteRequestboolean

Flag for delete or update request. If flag==true then Delete Request else Update Request

Default:false

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

put/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/bankaccount/{bankId}

Body

{ "effectiveDate": "effectiveDate", "bankAccount": { "startDate": "startDate", "nameOnAccount": "abcdqwe", "accountStatus": "ACTIVEBANKACCOUNT", "accountType": "CHECKING", "accountNumber": "34567777745678", "routingNumber": "Routing_Number", "branchName": "branch_66" } }
 
application/json

Eligibility Check Communication Preference Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Response

application/json

Communication Preference Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/communicationpreference/eligibilitycheck
 
application/json

Validate Communication Preference based on request

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

partyIdstringrequired

PartyId for which communication Preference need to be updated it be avaible under SOR Policy Details

Body

application/json

CommunicationPreferenceChangeRequest

correlationIdstring(uuid)

The unique ID to track transaction request across all systems

Example:142f6328-0b47-412d-a1db-375e8cb81cb7

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

Example:2022-01-01

communicationPreferenceobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

post/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/communicationpreference/validation

Body

{ "effectiveDate": "2022-01-01", "communicationPreference": { "preferredCommunicationType": "EMAIL" } }
 
application/json

Update Communication Preference based on request

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

partyIdstringrequired

PartyId for which communication Preference need to be updated it be avaible under SOR Policy Details

Body

application/json

CommunicationPreferenceChangeRequest

correlationIdstring(uuid)

The unique ID to track transaction request across all systems

Example:142f6328-0b47-412d-a1db-375e8cb81cb7

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

Example:2022-01-01

communicationPreferenceobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

post/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/communicationpreference

Body

{ "effectiveDate": "2022-01-01", "communicationPreference": { "preferredCommunicationType": "EMAIL" } }
 
application/json